#include <p18f2550.h>
#include <delays.h>

void high_isr (void);

#pragma code high_vector_section=0x8
void high_vector (void)
{
_asm GOTO high_isr _endasm
}
#pragma code


#pragma interrupt high_isr
void high_isr(void) {
  INTCONbits.INT0IF = 0;                    // clear bit IRQ
  PORTCbits.RC2 =~ PORTCbits.RC2;
}
#pragma code

void main() {
  // digital inputs - not analogic
  ADCON1 = 0x0F;
  CMCON = 0x07;

  INTCONbits.GIEH = 1;
  INTCONbits.INT0IE = 1;
  
  // blinking led for knowing it works
  TRISCbits.TRISC1 = 0 ;
  PORTCbits.RC1 = 1;
  // on/off led
  TRISCbits.TRISC2 = 0 ;
  PORTCbits.RC2 = 1;
  // button
  TRISAbits.TRISA0 = 1 ;
  PORTAbits.RA0 = 0;

  //button 2
  TRISBbits.TRISB0 = 1;
  PORTBbits.RB0 = 0;
  while (1) {

    // when button pressed, switch led
    if (PORTAbits.RA0) {
      PORTCbits.RC2 =~ PORTCbits.RC2;
    } 

    PORTCbits.RC1 =~ PORTCbits.RC1;
    Delay10KTCYx(100);
  }

}